<div id="admin-dashboard" style="max-width: 1440px" class="mx-auto">
  <div class="d-sm-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <p class="mb-0 h6 colorGreyMain">Dashboard</p>
    </div>
    <div>
      <div class="d-sm-flex align-center justify-end mt-3 mt-sm-0">
        <div
          class="d-flex align-center flex-wrap justify-end"
          id="hideBottomInput"
        >
          <div class="max-w-[250px] w-full">
            <v-menu
              v-model="datePicker"
              nudge-bottom="10px"
              style="position: relative; z-index: 999"
              :close-on-content-click="false"
              transition="scale-transition"
              offset-y
              left
              min-width="auto"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="dateRangeText"
                  dense
                  readonly
                  v-bind="attrs"
                  v-on="on"
                  class="bg-white border border-1 px-4 py-2 min-w-[250px]"
                  prepend-inner-icon="mdi-calendar-blank"
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="dateArr"
                style="position: relative; z-index: 999"
                range
              >
                <v-spacer></v-spacer>
                <v-btn text color="primary" @click="datePicker = false">
                  Cancel
                </v-btn>
                <v-btn text color="primary" @click="onHandleSearch()">
                  OK
                </v-btn>
              </v-date-picker>
            </v-menu>
          </div>
          <div class="d-flex align-center">
            <!-- <v-btn
              color="#076CE3"
              id="buttonHover"
              @click="onHandleSearch()"
              class="elevation-0"
            >
              <span class="text-capitalize white--text"> Filter </span>
            </v-btn> -->
            <div>
              <v-btn
                height="42px"
                color="#ffffff"
                id="buttonHover"
                @click="onRefresh()"
                class="elevation-0 ml-2 mt-0.5"
              >
                <div>
                  <v-icon> mdi-reload </v-icon>
                </div>
              </v-btn>
            </div>
          </div>
          <!-- <div class="mr-4 d-flex align-center" id="inputDate">
            <p class="mb-1 mr-4 contentSubtitle">From</p>
            <v-menu
              v-model="dateStartPicker"
              :close-on-content-click="false"
              :nudge-left="80"
              nudge-bottom="10px"
              style="position: relative; z-index: 999"
              transition="scale-transition"
              offset-y
              min-width="auto"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="dateStart"
                  dense
                  readonly
                  v-bind="attrs"
                  v-on="on"
                  style="width: 120px"
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="dateStart"
                @input="dateStartPicker = false"
                style="position: relative; z-index: 999"
              ></v-date-picker>
            </v-menu>
          </div>
          <div class="mr-sm-4 d-flex align-center" id="inputDate">
            <p class="mb-1 mr-4 contentSubtitle">To</p>
            <v-menu
              v-model="dateEndPicker"
              :close-on-content-click="false"
              :nudge-left="80"
              nudge-bottom="10px"
              style="position: relative; z-index: 999"
              transition="scale-transition"
              offset-y
              min-width="auto"
            >
              <template v-slot:activator="{ on, attrs }">
                <v-text-field
                  v-model="dateEnd"
                  dense
                  readonly
                  v-bind="attrs"
                  v-on="on"
                  style="width: 120px"
                >
                </v-text-field>
              </template>
              <v-date-picker
                v-model="dateEnd"
                @input="dateEndPicker = false"
                style="position: relative; z-index: 999"
              >
              </v-date-picker>
            </v-menu>
          </div> -->
        </div>
      </div>
    </div>
  </div>
  <div
    class="d-flex flex-wrap align-center justify-end mt-4 gap-2"
    id="adminButtonDisabled"
  >
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('Today')"
      :class="timeActive === 'Today' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      Today
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('Yesterday')"
      :class="timeActive === 'Yesterday' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      Yesterday
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('Last 7 days')"
      :class="timeActive === 'Last 7 days' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      Last 7 days
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('Last 14 days')"
      :class="timeActive === 'Last 14 days' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      Last 14 days
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('This week')"
      :class="timeActive === 'This week' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      This week
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('Last week')"
      :class="timeActive === 'Last week' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      Last week
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('This month')"
      :class="timeActive === 'This month' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      This month
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('Last month')"
      :class="timeActive === 'Last month' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      Last month
    </v-btn>
    <v-btn
      :disabled="loadingTableRecent || loadingTableOrder || loadingTable"
      class="px-3 py-2 elevation-0 mb-md-0 mb-2 fsize-14 text-none"
      @click="onFilterByTime('This year')"
      :class="timeActive === 'This year' ? '!bg-button !text-white' : '!bg-white !text-content-main'"
    >
      This year
    </v-btn>
  </div>
  <div class="mt-6">
    <p class="mb-0 captionOverline contentLightPrimary">Overview</p>
    <div>
      <div class="grid grid-cols-12 gap-2 mt-2">
        <div
          class="col-span-12 sm:col-span-4 rounded-md border !border-gray-200 elevation-0 pa-3 pa-sm-6 bg-white md:col-span-3"
          v-for="(statsItem,i) in stats"
          :key="'statsItem' + i"
        >
          <div class="d-flex align-center justify-space-between">
            <div>
              <div class="mb-1">
                <p
                  class="mb-0 text-sm capitalize font-semibold text-content-main"
                >
                  {{statsItem.text}}
                </p>
              </div>
              <div style="width: 81px; height: 32px" v-if="loadingTable">
                <v-skeleton-loader width="100%" height="100%" type="card">
                </v-skeleton-loader>
              </div>
              <div v-else class="flex items-center">
                <div
                  class="font-medium !text-content-main"
                  style="font-size: 20px"
                  v-if="showTypeStats(statsItem.type) === 'usd'"
                >
                  $
                </div>
                <span
                  class="font-medium !text-content-main"
                  style="font-size: 20px"
                  v-if="statsItem.type !== 'PCRE' && statsItem.type !== 'profit'"
                >
                  {{statsItem.value &&
                  $utils.formatCurrency(Math.round(statsItem.value * 100) /
                  100)}}
                </span>
                <span
                  class="font-medium !text-content-main"
                  style="font-size: 20px"
                  v-if="statsItem.type === 'PCRE'"
                >
                  {{statsItem.value &&
                  $utils.formatCurrency(Math.round(statsItem.value))}}
                </span>
                <span
                  class="font-medium !text-content-main"
                  style="font-size: 20px"
                  v-if="statsItem.type === 'profit'"
                >
                  {{statsItem.value &&
                  $utils.formatCurrency(Math.round(statsItem.value) / 100)}}
                </span>
                <div
                  class="font-medium !text-content-main"
                  style="font-size: 20px"
                  v-if="showTypeStats(statsItem.type) === 'percent'"
                >
                  %
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="mt-10">
    <div class="">
      <div>
        <p class="mb-0 captionOverline contentLightPrimary">Recent</p>
      </div>
      <div class="mt-5">
        <v-card class="ui-card rounded-t-lg">
          <v-skeleton-loader
            class="mx-auto mt-10"
            width="100%"
            type="card"
            v-if="loadingTableRecent"
          >
          </v-skeleton-loader>
          <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="table-head rounded-tl-lg" style="width: 100px">
                    <div class="d-flex align-center">
                      <p
                        class="mb-0 captionOverline text-sm text-content-main ml-2"
                      ></p>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div>
                      <p class="mb-0 captionOverline text-sm text-content-main">
                        Stores
                      </p>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 150px">
                      <button
                        v-if="sortViewContent"
                        @click="onSortTableHighToLowListProduct('viewContent')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          View Content
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('viewContent')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          View Content
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 150px">
                      <button
                        v-if="sortAddToCart"
                        @click="onSortTableHighToLowListProduct('addToCart')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Add To Cart
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('addToCart')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Add To Cart
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 160px">
                      <button
                        v-if="sortInitiate"
                        @click="onSortTableHighToLowListProduct('goCheckout')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Initiate Checkout
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('goCheckout')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Initiate Checkout
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 160px">
                      <button
                        v-if="sortCheckout"
                        @click="onSortTableHighToLowListProduct('checkout')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Add Payment Info
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('checkout')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Add Payment Info
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 85px">
                      <button
                        v-if="sortRevenue"
                        @click="onSortTableHighToLowListProduct('revenue')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Sales
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('revenue')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Sales
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 85px">
                      <button
                        v-if="sortPurchase"
                        @click="onSortTableHighToLowListProduct('purchase')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Orders
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('purchase')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Orders
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2" style="width: 85px">
                      <button
                        v-if="sortProductCost"
                        @click="onSortTableHighToLowListProduct('productCost')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Cost
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('productCost')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Cost
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left" style="width: 15%">
                    <div class="flex items-center gap-2" style="width: 170px">
                      <button
                        v-if="sortConversionRate"
                        @click="onSortTableHighToLowListProduct('conversionRate')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          % Conversion rate
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('conversionRate')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          % Conversion rate
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2">
                      <button
                        v-if="sortProfit"
                        @click="onSortTableHighToLowListProduct('profit')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Profit
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('profit')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          Profit
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left">
                    <div class="flex items-center gap-2">
                      <button
                        v-if="sortAov"
                        @click="onSortTableHighToLowListProduct('aov')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          AOV
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('aov')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          AOV
                        </p>
                      </button>
                    </div>
                  </th>
                  <th class="table-head text-left !rounded-tr-lg">
                    <div class="flex items-center gap-2">
                      <button
                        v-if="sortPcre"
                        @click="onSortTableHighToLowListProduct('pcre')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          PC/RE
                        </p>
                      </button>
                      <button
                        v-else
                        @click="onSortTableLowToHighListProduct('pcre')"
                      >
                        <p
                          class="mb-0 captionOverline text-sm text-content-main"
                        >
                          PC/RE
                        </p>
                      </button>
                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(product,i) in listProduct" :key=" product + i">
                  <td class="px-3 py-2">
                    <div class="d-flex align-center rounded-lg">
                      <div
                        class="flex items-center max-w-[80px] min-w-[80px] h-20"
                      >
                        <img :src="convertImage(product.imageUrl)" alt="" />
                      </div>
                    </div>
                  </td>
                  <td class="px-3 py-2">
                    <div>
                      <a
                        :href="`https://${product.domain}`"
                        target="_blank"
                        class="text-decoration-none"
                      >
                        <v-btn
                          x-small
                          outlined
                          class="!border !border-[#3B82F6] !text-content-brand"
                        >
                          View
                        </v-btn>
                      </a>
                    </div>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.viewContent &&
                      $utils.formatCurrencyFloat(product.viewContent)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.addToCart &&
                      $utils.formatCurrencyFloat(product.addToCart)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.goCheckout &&
                      $utils.formatCurrencyFloat(product.goCheckout)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.checkout &&
                      $utils.formatCurrencyFloat(product.checkout)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      ${{product.revenue &&
                      $utils.formatCurrency(Math.round(product.revenue * 100) /
                      100)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.purchase &&
                      $utils.formatCurrency(Math.round(product.purchase * 100) /
                      100)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      ${{product.productCost &&
                      $utils.formatCurrency(Math.round(product.productCost *
                      100) / 100)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.conversionRate &&
                      $utils.formatCurrency(Math.round(product.conversionRate *
                      100) / 100)}}%
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.profit &&
                      $utils.formatCurrency(Math.round(product.profit * 100) /
                      100)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.aov &&
                      $utils.formatCurrency(Math.round(product.aov * 100) /
                      100)}}
                    </p>
                  </td>
                  <td class="px-3 py-2">
                    <p class="mb-0 text-sm">
                      {{product.pcre &&
                      $utils.formatCurrency(Math.round(product.pcre * 100))}}%
                    </p>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div
            class="d-flex justify-center ma-4"
            v-if="listProduct.length == 0 && !loadingTableRecent"
          >
            <div>
              <div class="d-flex align-center justify-center">
                <img
                  src="~/assets/images/no-product.png"
                  alt=""
                  width="136"
                  height="136"
                />
              </div>
              <p class="mb-0 mt-4 text-center colorGreyHeaderTable">
                Before you open your store, first you need some products.
              </p>
            </div>
          </div>
          <div
            class="text-center mt-4 px-3 pb-2 d-flex align-center justify-md-space-between justify-center flex-wrap gap-3"
          >
            <div
              id="hideBottomInput"
              class="d-flex align-center justify-center"
            >
              <p class="mb-0 mr-2">Rows per page:</p>
              <v-select
                :items="limitItems"
                dense
                solo
                v-model="configProduct.limit"
                item-value="item"
                class="px-2"
                @change="onGetListProduct()"
                style="max-width: 100px; width: 100%"
              >
              </v-select>
            </div>
            <v-pagination
              v-model="configProduct.page"
              :length="totalPageProduct"
              :total-visible="5"
              class="pagination"
            >
            </v-pagination>
            <div
              id="hideBottomInput"
              class="input-gotopage pos-relative mt-3 mt-sm-0 max-w-[230px] w-full"
            >
              <v-text-field
                dense
                outlined
                v-model.number="pageProduct"
                placeholder="Go to page"
              >
              </v-text-field>
              <div class="button-inside-input">
                <v-btn
                  height="36px"
                  color="#076CE3"
                  class="px-0 button-inside-input__button elevation-0"
                  @click="onRedirectPageProduct()"
                >
                  <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </v-card>
      </div>
    </div>

    <div class="mt-10">
      <div class="d-flex align-center justify-space-between">
        <div class="d-flex align-center">
          <v-icon color="#6B7B94"> mdi-history </v-icon>
          <div class="ml-3">
            <p class="mb-0 captionOverline contentLightPrimary">
              lastest orders
            </p>
          </div>
        </div>
      </div>
    </div>
    <div class="mt-5">
      <v-card class="ui-card rounded-t-lg">
        <v-skeleton-loader
          class="mx-auto mt-10"
          width="100%"
          type="card"
          v-if="loadingTableOrder"
        >
        </v-skeleton-loader>
        <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
          <template v-slot:default>
            <thead>
              <tr>
                <th class="table-head !rounded-tl-lg">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    ID
                  </p>
                </th>
                <th class="table-head text-left">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Customer
                  </p>
                </th>
                <th class="table-head text-left">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Time
                  </p>
                </th>
                <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Status
                    </p>
                  </div>
                </th>
                <th class="table-head text-left rounded-tr-lg">
                  <div>
                    <p class="mb-0 captionOverline text-content-main text-sm">
                      Subtotal
                    </p>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(order,i) in listOrder" :key="order + i">
                <td class="px-3 py-2">
                  <div class="d-flex align-center rounded-lg">
                    <div class="d-flex align-center">
                      <nuxt-link
                        :to="`/admin/order/${order._id}`"
                        class="text-decoration-none"
                      >
                        <p class="mb-0 lightContentBlue fsize-16">
                          {{order.orderCode}}
                        </p>
                      </nuxt-link>
                    </div>
                  </div>
                </td>
                <td class="px-3 py-2">
                  <p class="mb-0 lightContentPrimary fsize-16">
                    {{order.emailShippingAddress}}
                  </p>
                </td>
                <td class="px-3 py-2">
                  <p class="mb-0 lightContentPrimary fsize-16">
                    {{order.createdAt && formatDate(order.createdAt)}}
                  </p>
                </td>
                <td class="px-3 py-2">
                  <div class="d-flex">
                    <div
                      v-if="order.orderStatus == 'processing'"
                      style="background-color: #e1effe; padding: 4px 16px"
                      class="rounded"
                    >
                      <p class="mb-0 contentBrand text-sm">Processing</p>
                    </div>
                    <div
                      v-if="order.orderStatus == 'pending'"
                      style="
                        background: rgba(255, 193, 48, 0.08);
                        padding: 4px 16px;
                      "
                      class="rounded"
                    >
                      <p class="mb-0 text-sm" style="color: #fb8c00">Pending</p>
                    </div>
                    <div
                      v-if="order.orderStatus == 'canceled'"
                      style="background: #e74c3c; padding: 4px 16px"
                      class="rounded"
                    >
                      <p class="mb-0 text-sm" style="color: #ffffff">
                        Canceled
                      </p>
                    </div>
                    <div
                      v-if="order.orderStatus == 'fulfilled'"
                      style="background-color: #ebffeb; padding: 4px 16px"
                      class="rounded"
                    >
                      <p class="mb-0 text-sm" style="color: #4caf50">
                        Fulfilled
                      </p>
                    </div>
                  </div>
                </td>
                <td class="px-3 py-2">
                  <p class="mb-0 lightContentPrimary fsize-16">
                    ${{order.total && $utils.formatCurrencyFloat(order.total)}}
                  </p>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
        <div
          class="d-flex justify-center ma-4"
          v-if="listOrder.length == 0 && !loadingTableOrder"
        >
          <div>
            <div class="d-flex align-center justify-center">
              <img
                src="~/assets/images/no-product.png"
                alt=""
                width="136"
                height="136"
              />
            </div>
            <p class="mb-0 mt-4 text-center colorGreyHeaderTable">
              Your orders will show here
            </p>
          </div>
        </div>
        <div
          class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
        >
          <div
            class="text-center mt-4 px-3 pb-2 d-flex align-center justify-md-space-between justify-center flex-wrap gap-3 w-full"
          >
            <div
              id="hideBottomInput"
              class="d-flex align-center justify-center"
            >
              <p class="mb-0 mr-2">Rows per page:</p>
              <v-select
                :items="limitItems"
                dense
                solo
                v-model="config.limit"
                item-value="item"
                class="px-2"
                @change="onGetListOrder()"
                style="max-width: 100px; width: 100%"
              >
              </v-select>
            </div>
            <v-pagination
              v-model="config.page"
              :length="totalPage"
              :total-visible="5"
              class="pagination"
            >
            </v-pagination>
            <div
              id="hideBottomInput"
              class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
            >
              <v-text-field
                dense
                outlined
                v-model.number="page"
                type="number"
                placeholder="Go to page"
                @keypress="parseTipNumber(event)"
              >
              </v-text-field>
              <div class="button-inside-input">
                <v-btn
                  height="36px"
                  color="#076CE3"
                  class="px-0 button-inside-input__button elevation-0"
                  @click="onRedirectPage()"
                >
                  <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </div>
      </v-card>
    </div>
  </div>
</div>
